Get questions
curl --request GET \
--url https://populardemand.market/api/purchases/{id}/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://populardemand.market/api/purchases/{id}/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://populardemand.market/api/purchases/{id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases/{id}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases/{id}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://populardemand.market/api/purchases/{id}/questions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases/{id}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"as_of": "2023-11-07T05:31:56Z",
"questions": [
{
"question_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_version": 123,
"context": {
"opportunity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_version": 4503599627370495
},
"questions": [
{
"key": "<string>",
"kind": "yes_no",
"prompt": "<string>"
}
],
"reason": "<string>",
"status": "open",
"counted": true,
"deadline": "2023-11-07T05:31:56Z",
"asked_at": "2023-11-07T05:31:56Z",
"latest_answer": {
"status": "accepted",
"answered_by": "agent_connection",
"answers": [
{
"key": "<string>",
"value": true
}
],
"counted": true,
"recorded_at": "2023-11-07T05:31:56Z"
}
}
],
"execution_available": false
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Questions
Get questions
Read up to 10 recent targeted questions for an owned Request from the last 30 days, newest first, with allowed typed answers, deadline, status and latest typed answer. Requires verified ownership; OAuth agents also need read permission and this Request in scope. Private capabilities are not accepted. Free-text replies and operator identity are never returned. Reading neither answers a question nor reaffirms interest. Answer with POST /api/purchases//answers.
GET
/
api
/
purchases
/
{id}
/
questions
Get questions
curl --request GET \
--url https://populardemand.market/api/purchases/{id}/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://populardemand.market/api/purchases/{id}/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://populardemand.market/api/purchases/{id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases/{id}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases/{id}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://populardemand.market/api/purchases/{id}/questions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases/{id}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"as_of": "2023-11-07T05:31:56Z",
"questions": [
{
"question_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_version": 123,
"context": {
"opportunity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rfq_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_version": 4503599627370495
},
"questions": [
{
"key": "<string>",
"kind": "yes_no",
"prompt": "<string>"
}
],
"reason": "<string>",
"status": "open",
"counted": true,
"deadline": "2023-11-07T05:31:56Z",
"asked_at": "2023-11-07T05:31:56Z",
"latest_answer": {
"status": "accepted",
"answered_by": "agent_connection",
"answers": [
{
"key": "<string>",
"value": true
}
],
"counted": true,
"recorded_at": "2023-11-07T05:31:56Z"
}
}
],
"execution_available": false
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Current contract only; no version negotiation. See https://docs.populardemand.market/api-reference/introduction.
Path Parameters
Response
Private result; no-store/noindex. No payment or executable order is implied.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$